proc()
  local dir;
begin
  ode:=domain("ode"):
  ode::info:="Library 'ode':  ordinary differential equations":
  ode::interface:={hold(expsols),hold(polysols),
	hold(rationalSolutions),hold(symmetricPower)}:
  ode::new:=proc(eq,x) begin new(ode,rewrite(eq,diff),x) end_proc;
  ode::print:=proc(o) begin hold(ode)(extop(o)) end_proc;
  ode::maxDepth:=2: # maximal nesting of methods #
  ode::depth:=0: # current depth #

  dir:= pathname("ODE"):

ode::adjoint:= loadproc(ode::adjoint,dir,"adjoint"):
ode::autonomous:= loadproc(ode::autonomous,dir,"autonom"):
ode::Bernoulli:= loadproc(ode::Bernoulli,dir,"bernoull"):
ode::Clairaut:= loadproc(ode::Clairaut,dir,"clairaut"):
ode::contact:= loadproc(ode::contact,dir,"contact"):
ode::differentiation:= loadproc(ode::differentiation,dir,"diff"):
ode::diffvars:= loadproc(ode::diffvars,dir,"diffvars"):
ode::equidimensional_in_x:= loadproc(ode::equidimensional_in_x,dir,"equidimx"):
ode::equidimensional_in_y:= loadproc(ode::equidimensional_in_y,dir,"equidimy"):
ode::euler:= loadproc(ode::euler,dir,"equidimx"):
ode::exact_first_order:= loadproc(ode::exact_first_order,dir,"exact1st"):
ode::exact_second_order:= loadproc(ode::exact_second_order,dir,"exact2nd"):
ode::exact_nth_order:= loadproc(ode::exact_nth_order,dir,"exactnth"):
ode::expsols:= loadproc(ode::expsols,dir,"expsols"):
ode::factor:= loadproc(ode::factor,dir,"factor"):
ode::firstord:= loadproc(ode::firstord,dir,"firstord"):
ode::indets:= loadproc(ode::indets,dir,"indets"):
ode::isLODE:= loadproc(ode::isLODE,dir,"isLODE"):
ode::linsys:= loadproc(ode::linsys,dir,"linsys"):
ode::mapsol:= loadproc(ode::mapsol,dir,"mapsol"):
ode::order:= loadproc(ode::order,dir,"order"):
ode::polysols:= loadproc(ode::polysols,dir,"polysols"):
ode::rationalSolutions:= loadproc(ode::rationalSolutions,dir,"RatSol"):
ode::separate:= loadproc(ode::separate,dir,"separate"):
ode::solve:= loadproc(ode::solve,dir,"solve"):
ode::solve_eq:= loadproc(ode::solve_eq,dir,"solve_eq"):
ode::solve_linear:= loadproc(ode::solve_linear,dir,"solvelin"):
ode::solve_sys:= loadproc(ode::solve_sys,dir,"solvesys"):
ode::split:= loadproc(ode::split,dir,"split"):
ode::subsvars:= loadproc(ode::subsvars,dir,"subsvars"):
ode::symmetricPower:= loadproc(ode::symmetricPower,dir,"sympower"):
ode::undet:= loadproc(ode::undet,dir,"undet"):
ode::vspace:= loadproc(ode::vspace,dir,"vspace"):
ode::ymissing:= loadproc(ode::ymissing,dir,"ymissing"):

stdlib::LoadlibState["ode"]:= TRUE:

  null():
end_proc():

